package com.b3dgs.tyrian;

import com.b3dgs.lionengine.game.shmup.EntityHandler;
import com.b3dgs.tyrian.entity.layer1.AbstractLayer1Entity;
import com.b3dgs.tyrian.gameplay.Ship;

public class Entity1Handler extends EntityHandler<AbstractLayer1Entity> {

    private int offsetX;
    private boolean skip;

    public Entity1Handler(int minX, int minY, int maxX, int maxY) {
        super(minX, minY, maxX, maxY);
        this.skip = false;
    }

    public void setOffsetX(int x) {
        this.offsetX = x;
    }

    public void skipMove(boolean state) {
        this.skip = state;
    }

    @Override
    public void update(AbstractLayer1Entity ase) {
        ase.setOffsetX(this.offsetX);
        ase.setShip((Ship) this.ship);
        if (this.skip) {
            ase.skipMove();
        }
    }
}
