package com.b3dgs.tyrian.entity.layer1.level1;

import com.b3dgs.lionengine.game.Camera;
import com.b3dgs.lionengine.game.shmup.EffectHandler;
import com.b3dgs.lionengine.input.Keyboard;
import com.b3dgs.lionengine.input.Mouse;
import com.b3dgs.tyrian.RessourcesHandler;
import com.b3dgs.tyrian.entity.layer1.AbstractLayer1Entity;
import java.awt.Graphics2D;

public class ThreeHRed extends AbstractLayer1Entity {

    public ThreeHRed(RessourcesHandler rh, EffectHandler handler, int x, int y) {
        super(rh, handler, 0, 78, 1, 0, 20, 28, x, y);
    }

    @Override
    public void update(Keyboard keyboard, Mouse mouse, float extrp) {
        super.update(keyboard, mouse, extrp);
        this.anim.play(0, 5, 0.2f, true, true);
    }

    @Override
    public void render(Graphics2D g, Camera camera) {
        this.renderFrame(g, camera, this.anim.getFrame(), 0, 0);
    }

    @Override
    protected void explode(int minX, int maxX, int minY, int maxY, int sprite, int max) {
        super.explode(-12, 12, -14, 14, 1, 4);
    }
}
