package com.b3dgs.tyrian.entity.layer2.level1;

import com.b3dgs.lionengine.game.Camera;
import com.b3dgs.lionengine.game.shmup.EffectHandler;
import com.b3dgs.tyrian.RessourcesHandler;
import com.b3dgs.tyrian.gameplay.AbstractLayerEntity;
import java.awt.Graphics2D;

public class MeteorSmall extends AbstractLayerEntity {

    public MeteorSmall(RessourcesHandler rh, EffectHandler handler) {
        super(rh, handler, 1, 14, 4, 4, 16, 20);
        this.life.setMax(50);
        this.life.fill();
    }

    @Override
    public void render(Graphics2D g, Camera camera) {
        this.renderFrame(g, camera, 0, 0, 0);
    }

    @Override
    public void destroy() {
        super.destroy();
        if (this.getY() <= -200) {
            this.ship.earth.decrease(1);
        }
    }

    @Override
    protected void explode(int minX, int maxX, int minY, int maxY, int sprite, int max) {
        super.explode(-8, 22, -2, 26, 1, 4);
        this.ship.money.increase(10);
    }
}
