package com.b3dgs.tyrian.bonus;

import com.b3dgs.tyrian.RessourcesHandler;
import com.b3dgs.tyrian.gameplay.ListWeaponRear;
import com.b3dgs.tyrian.gameplay.Ship;

public class BonusWeaponRear extends AbstractBonusWeapon<ListWeaponRear> {

    public BonusWeaponRear(RessourcesHandler rh, ListWeaponRear weapon, int id) {
        super(rh, weapon, id);
    }

    @Override
    protected void setShipWeapon(Ship ship) {
        ship.setWeaponRear(this.rh.getWeaponRear(this.weapon));
    }
}
