package com.b3dgs.tyrian.entity.layer1.level1;

import com.b3dgs.lionengine.game.Camera;
import com.b3dgs.lionengine.game.shmup.EffectHandler;
import com.b3dgs.lionengine.input.Keyboard;
import com.b3dgs.lionengine.input.Mouse;
import com.b3dgs.tyrian.RessourcesHandler;
import com.b3dgs.tyrian.entity.layer1.AbstractLayer1Entity;
import java.awt.Graphics2D;

public class SubSquare extends AbstractLayer1Entity {

    public SubSquare(RessourcesHandler rh, EffectHandler handler, int x, int y) {
        super(rh, handler, 0, 36, 4, 0, 40, 40, x, y);
        this.life.setMax(250);
        this.life.fill();
    }

    @Override
    public void update(Keyboard keyboard, Mouse mouse, float extrp) {
        super.update(keyboard, mouse, extrp);
        this.anim.play(0, 2, 0.1f, true, true);
    }

    @Override
    public void render(Graphics2D g, Camera camera) {
        this.renderFrame(g, camera, this.anim.getFrame() * 2, 0, 0);
        this.renderFrame(g, camera, this.anim.getFrame() * 2 + 1, 1, 0);
        this.renderFrame(g, camera, this.anim.getFrame() * 2 + 12, 0, 1);
        this.renderFrame(g, camera, this.anim.getFrame() * 2 + 13, 1, 1);
    }

    @Override
    protected void explode(int minX, int maxX, int minY, int maxY, int sprite, int max) {
        super.explode(-6, 36, -7, 42, 1, 12);
        this.ship.money.increase(100);
    }
}
