package com.b3dgs.tyrian.entity.layer2.level1;

import com.b3dgs.lionengine.game.Camera;
import com.b3dgs.lionengine.game.shmup.EffectHandler;
import com.b3dgs.tyrian.RessourcesHandler;
import com.b3dgs.tyrian.gameplay.AbstractLayerEntity;
import java.awt.Graphics2D;

public class MeteorMedium extends AbstractLayerEntity {

    public MeteorMedium(RessourcesHandler rh, EffectHandler handler) {
        super(rh, handler, 1, 27, 10, 10, 28, 36);
        this.life.setMax(85);
        this.life.fill();
    }

    @Override
    public void render(Graphics2D g, Camera camera) {
        this.renderFrame(g, camera, 0, 0, 0);
        this.renderFrame(g, camera, 1, 1, 0);
        this.renderFrame(g, camera, 8, 0, 1);
        this.renderFrame(g, camera, 9, 1, 1);
    }

    @Override
    public void destroy() {
        super.destroy();
        if (this.getY() <= -200) {
            this.ship.earth.decrease(4);
        }
    }

    @Override
    protected void explode(int minX, int maxX, int minY, int maxY, int sprite, int max) {
        super.explode(-8, 38, -6, 44, 1, 8);
        this.ship.money.increase(60);
    }
}
