package com.b3dgs.tyrian.gameplay.bullet;

import com.b3dgs.lionengine.game.shmup.EffectHandler;
import com.b3dgs.tyrian.RessourcesHandler;
import com.b3dgs.tyrian.gameplay.BulletModel;

public class CurvedBullet extends BulletModel {

    private int first = 0;

    public CurvedBullet(RessourcesHandler rh, int id, int frame, EffectHandler handler) {
        super(rh, id, frame, handler);
    }

    @Override
    protected void updateMove() {
        if (this.first == 0) {
            this.first = this.getX();
        }
        this.move(this.getVecX(), (float) Math.sqrt(Math.pow(this.getX() - this.first, 2)) * this.getVecY());
    }
}
