package com.b3dgs.tyrian.ship;

import com.b3dgs.tyrian.RessourcesHandler;
import com.b3dgs.tyrian.World;
import com.b3dgs.tyrian.gameplay.Ship;

public class ShipFactory {

    private final RessourcesHandler rh;
    private final World world;

    public ShipFactory(RessourcesHandler rh, World world) {
        this.rh = rh;
        this.world = world;
    }

    public Ship createShip(ListShip ship) {
        switch (ship) {
            case Gencore:
                return new Gencore(this.rh, this.world);
            case USP:
                return new Gencore(this.rh, this.world);
            default:
                return null;
        }
    }
}
